注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

逍遥的博客

少一分怨言多一分微笑;少一分诚诺,多一分服务;

 
 
 

日志

 
 
关于我

性格开朗,乐于助人以及极有主见的感性男人!

网易考拉推荐

phpMyAdmin“缺少 mcrypt 扩展。请检查 PHP 配置。”解决办法 .  

2013-05-10 15:30:05|  分类: 技术集锦 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

出现问题:在安装配置phpMyAdmin管理mysql数据库的时候,打开phpMyAdmin登录页面,出现下面的错误提示:

                缺少 mcrypt 扩展。请检查 PHP 配置

 

 http://centos5.blog.51cto.com/

 


       解决办法:安装php-mcrypt libmcrypt libmcrypt-devel这三个库文件


      下面以CentOS 6.0系统为例来为说明:(备注:以下操作均在终端命令行下进行)
      1、安装第三方yum源(默认yum源里面没有这几个库文件,不能使用yum安装)
          wget http://www.atomicorp.com/installers/atomic   #下载
          sh ./atomic   #安装
      2、使用yum命令安装

    yum install php-mcrypt libmcrypt libmcrypt-devel
                3、重启系统
          shutdown -r now
      现在打开phpMyAdmin登录页面,没有了错误提示,问题解决

一、在登录phpmyadmin管理数据库,会出现“配置文件现在需要一个短语密码”的警告
 解决方法:
     打开目录phpmyadmin/libraries中的config.default.php文件
     查找下面这行:$cfg['blowfish_secret'] = '这里就是需要的短语密码';(短语密码请随意填写)
     比如修改为:$cfg['blowfish_secret'] = 'cookiess'
     查找:$cfg['Servers'][$i]['auth_type'] = ‘cookie’  #后面的值默认为cookie,不做更改    
     原因:会出现这个问题,就是因为这段:$cfg['Servers'][$i]['auth_type'] = ‘cookie'
     这里有四个值可供填写:cookie http HTTP config
     config方式即输入phpmyadmin的访问网址即可直接进入,无需输入用户名和密码,是不安全的,不推荐使用。
     cookie,http或HTTP时,登录phpmyadmin需要数据用户名和密码进行验证,
     具体如下:PHP安装模式为Apache,可以使用http和cookie;PHP安装模式为CGI,可以使用cookie
     通常这个值设置为cookie即可

http://blog.csdn.net/liaozhairen/article/details/7931165

  评论这张
 
阅读(1039)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017